#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include <arpa/inet.h>
#include <netinet/in.h>
#include <sys/socket.h>

int main(int argc, char **argv) {
    int tcp = socket(AF_INET, SOCK_STREAM, IPPROTO_TCP);

    struct sockaddr_in address;
    address.sin_family = AF_INET;
    address.sin_addr.s_addr = inet_addr("127.0.0.1");
    address.sin_port = htons(8080);

    bind(tcp, (const struct sockaddr*)(&address), sizeof(address));
    listen(tcp, 1);
    tcp = accept(tcp, NULL, NULL);

    const char *message = "Hello World!\n";
    send(tcp, message, strlen(message), 0);

    close(tcp);
    return 0;
}
